import { LoginMgr } from "../common/LoginManager";
import { RoleData } from "../data/RoleData";


//角色管理器
export class RoleManager {
    //抽一个英雄
    static getNewRole(){
        LoginMgr.sendPost('tavern', 'get', (data) => {
            console.log(data);
        }, {})
        return false;
    }

    static getRolesRaceGroup(){
        let roles = {};
        let data = RoleData.getData();
        for (const key in data) {
            if (Object.prototype.hasOwnProperty.call(data, key)) {
                const element = data[key];
                if (roles[element.conf['Race']]) {
                    roles[element.conf['Race']].push(element);
                } else {
                    roles[element.conf['Race']] = [];
                    roles[element.conf['Race']].push(element);
                }
            }
        }
        for (const key in roles) {
            if (Object.prototype.hasOwnProperty.call(roles, key)) {
                const element = roles[key];
                element.sort((a, b) => {
                    return Number(a.id) < Number(b.id) ? -1 : 1;
                });
            }
        }
        return roles;
    }
}
